VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "ShrinkBitmap Example"
   ClientHeight    =   3465
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5850
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3465
   ScaleWidth      =   5850
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdPaintPicture 
      Caption         =   "Shrink using PaintPicture"
      Height          =   255
      Left            =   3600
      TabIndex        =   3
      Top             =   600
      Width           =   2055
   End
   Begin VB.CommandButton cmdShrinkBitmap 
      Caption         =   "Shrink using ShrinkBitmap"
      Height          =   255
      Left            =   3600
      TabIndex        =   2
      Top             =   240
      Width           =   2055
   End
   Begin VB.PictureBox pctSmall 
      AutoRedraw      =   -1  'True
      Height          =   1560
      Left            =   3600
      ScaleHeight     =   1500
      ScaleWidth      =   1605
      TabIndex        =   1
      Top             =   1680
      Width           =   1665
   End
   Begin VB.PictureBox pctMain 
      AutoRedraw      =   -1  'True
      Height          =   3120
      Left            =   120
      ScaleHeight     =   3060
      ScaleWidth      =   3285
      TabIndex        =   0
      Top             =   120
      Width           =   3345
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'The Declares for the ShrinkBitmap DLL
Private Declare Function ShrinkHDC Lib "ShrinkBitmap.dll" (ByVal _
    hDCDest As Long, ByVal hDCSrc As Long, ByVal nDestX As Long, _
    ByVal nDestY As Long, ByVal nDestWidth As Long, ByVal _
    nDestHeight As Long, ByVal nSrcX As Long, ByVal SrcY As Long, _
    ByVal nSrcWidth As Long, ByVal nSrcHeight As Long) As Long
Private Declare Function ShrinkBitmap Lib "ShrinkBitmap.dll" (ByVal _
    hBitmap As Long, ByVal nWidth As Long, ByVal nHeight As Long) _
    As Long

Private Sub cmdPaintPicture_Click()

    'Shrink the bitmap using VB's PaintPicture
    pctSmall.PaintPicture pctMain.Image, 0, 0, pctSmall.Width, _
        pctSmall.Height, 0, 0, pctMain.Width, pctMain.Height
    pctSmall.Refresh

End Sub

Private Sub cmdShrinkBitmap_Click()

    'Call ShrinkHDC, converting Twips to standard Pixels
    ShrinkHDC pctSmall.hDC, pctMain.hDC, 0, 0, pctSmall.Width / _
        Screen.TwipsPerPixelX, pctSmall.Height / _
        Screen.TwipsPerPixelY, 0, 0, pctMain.Width / _
        Screen.TwipsPerPixelX, pctMain.Height / Screen.TwipsPerPixelY
    pctSmall.Refresh

End Sub

Private Sub Form_Load()

    'Load the demo bitmap into the main picturebox
    ' (Note that both pictureboxes have AutoRedraw set to true)
    Set pctMain = LoadPicture(App.Path & "\demo bitmap.bmp")

End Sub

